{
  config,
  pkgs,
  ...
}: {
  imports = [
    ./hardware-configuration.nix
    ../../nixos/desktop.nix
    ../../nixos/hypr.nix
  ];

  hardware.graphics = {
    extraPackages = with pkgs; [
      amdvlk
    ];
    extraPackages32 = with pkgs; [
      driversi686Linux.amdvlk
    ];
  };

  # Mount SMB share
  fileSystems."/mnt/share" = {
    device = "//haruko/share";
    fsType = "cifs";
    options = let
      automount_opts = "x-systemd.automount,noauto,x-systemd.idle-timeout=60,x-systemd.device-timeout=5s,x-systemd.mount-timeout=5s,user,users";
      credentials = "${config.sops.templates."smb-credentials".path}";
    in ["${automount_opts},credentials=${credentials},uid=1000,gid=100"];
    #in ["${automount_opts},credentials=/etc/nixos/smb-secrets,uid=1000,gid=100"];
  };

  system.stateVersion = "24.11";
}
